apiVersion: apps/v1
kind: Deployment
metadata:
  name: extranetui
spec:
  replicas: 2
  selector:
    matchLabels:
      app: extranetui
  template:
    metadata:
      annotations:
        linkerd.io/inject: enabled
      labels:
        app: extranetui
    spec:
      containers:
      - name: extranetui
        image: aosdevacr.azurecr.io/extranetui
        imagePullPolicy: Always
        readinessProbe:
          httpGet:
            path: /healthcheck
            port: 80
          initialDelaySeconds: 30
          periodSeconds: 1
        livenessProbe:
          httpGet:
            path: /healthcheck
            port: 80
          initialDelaySeconds: 30
          periodSeconds: 1
        resources:
          limits:
            memory: "768M"
            cpu: "500m"
          requests:
            memory: "512M"
            cpu: "300m"
        ports:
        - name: http
          containerPort: 80
        volumeMounts:
        - name: config-volume
          mountPath: "/app/appsettings.json"
          subPath: "appsettings.json"
      volumes:
      - name: config-volume
        configMap:
          name: app-config
      restartPolicy: Always
      imagePullSecrets:
      - name: acr-pull
